package com.emr.dao;

import com.emr.dto.Archive_DetailPdfPathDto;
import com.emr.entity.Archive_Detail_Vo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveDetailCACOPY
 * @Description 签章后文件保存记录表
 * @Author linjj
 * @Date 2023/10/27 11:12
 * @Version 1.0
 */
public interface ArchiveDetailCaCopyMapper {

    int addArchiveDetailCaCopyMapper(@Param("list") List<Archive_DetailPdfPathDto> list);


    int updateByMasterID(String masterID);

    /**
     * 根据可选字段查询记录
     * @param record
     * @return
     */
    List<Archive_Detail_Vo> selectByClo(Archive_Detail_Vo record);

    /**
     * 根据可选字段查询记录详情
     * @param record
     * @return
     */
    List<Archive_Detail_Vo> detailByClo(Archive_Detail_Vo record);

    List<String> getChildPdfUrlByMasterIds(@Param("masterIds")String masterIds);

    List<String> getPdfUrlByMasterOrId(@Param("assortIds") String[] assortIds, @Param("masterId")String masterId, @Param("flag")String flag, @Param("fileIds")String fileIds);

    int getArchiveDetailNum(@Param("fileIds")String fileIds);
}

